# Uses of Class
org.springframework.transaction.NoTransactionException

Packages that use NoTransactionException
Package
Description
org.springframework.transaction.interceptor
AOP-based solution for declarative transaction demarcation.

## Uses of NoTransactionException in org.springframework.transaction.interceptor

Methods in org.springframework.transaction.interceptor that throw NoTransactionException
Modifier and Type
Method
Description
`protected static TransactionAspectSupport.TransactionInfo`
TransactionAspectSupport.`currentTransactionInfo()`
Subclasses can use this to return the current TransactionInfo.
`static TransactionStatus`
TransactionAspectSupport.`currentTransactionStatus()`
Return the transaction status of the current method invocation.